'Newland.CityTheme:PressArticle':
  superTypes:
    'Neos.NodeTypes:Page': true

  ui:
    label: Presseartikel
    icon: newspaper
    inspector:
      groups:
        intro:
          label: Intro
          icon: image
        image:
          label: Bild
          icon: image
        pressContacts:
          label: Person
          icon: user
        pressDownloads:
          label: Downloads
          icon: file
        pressImages:
          label: Pressebilder
          icon: image

  options:
    template:
      childNodes:
        mainContentCollection:
          name: 'main'
          childNodes: ~

  properties:
    introTitle:
      ui: ~
    introTopline:
      ui: ~
    introText:
      ui: ~
    showHero:
      ui: ~
    heroTitle:
      ui: ~
    heroSubtitle:
      ui: ~
    heroImage:
      ui: ~

    articlePublishingDate:
      type: DateTime
      defaultValue: 'now'
      ui:
        label: Veröffentlichungsdatum
        reloadIfChanged: true
        inlineEditable: false
        inspector:
          group: 'intro'
          position: 10
          editorOptions:
            format: 'd.m.Y'

    articleTitle:
      type: string
      ui:
        inlineEditable: false

    articleIntro:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Presseartikel Introtext
            autoparagraph: true
            linking:
              anchor: true
              title: true
              relNofollow: true
              targetBlank: true
            formatting:
              h1: false
              h3: true
              table: true
              ul: true
              a: true
              p: true
              strong: true
              removeFormat: true

    articleBody:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Presseartikel Beschreibungstext
            autoparagraph: true
            linking:
              anchor: true
              title: true
              relNofollow: true
              targetBlank: true
            formatting:
              h1: false
              h3: true
              table: true
              ul: true
              left: true
              center: true
              a: true
              p: true
              strong: true
              removeFormat: true

    articleImage:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Bild
        reloadIfChanged: true
        inspector:
          group: 'image'

    pressContacts:
      type: 'references'
      ui:
        inspector:
          group: 'pressContacts'
          editorOptions:
            nodeTypes: ['Newland.CityTheme:Person']
        label: Person
        reloadIfChanged: true

    pressDownloads:
      type: array<Neos\Media\Domain\Model\Asset>
      ui:
        inspector:
          group: 'pressDownloads'
        label: Downloads
        reloadIfChanged: true

    pressImages:
      type: 'references'
      ui:
        inspector:
          group: 'pressImages'
          editorOptions:
            nodeTypes: ['Newland.CityTheme:PressImage']
        label: Pressebilder
        reloadIfChanged: true

  childNodes:
    items: ~
